/* Get two complex numbers from the user and output their sum */

#include <stdio.h>


/* definition of a new type - complex */
typedef struct complex
{
	double real;
	double img;
} Complex;


void print_complex(Complex c)
{
    printf("%g", c.real);
    if (c.img != 0) {
        if (c.img > 0)
            printf(" + ");
        else
            printf(" - ");
        printf("%gi", c.img);
    }
}


/* add two complex numbers */
Complex add_complex(Complex x, Complex y)
{
    Complex z;

    z.real = x.real + y.real;
    z.img = x.img + y.img;

    return z;
}


int main(void)
{
   Complex a, b, c;

   /* read two complex numbers from the user */
   printf("Enter real and imaginary parts of first number\n");
   scanf("%lf%lf", &(a.real), &(a.img));
   printf("Enter real and imaginary parts of second number\n");
   scanf("%lf%lf", &(b.real), &(b.img));

   /* add them */
   c = add_complex(a, b);

   /* and print the result */
   printf("The sum of the numbers is ");
   print_complex(c);
   printf("\n");

   return 0;
}
