/* Accept two complex numbers from the user and display their multiplication */

#include <stdio.h>

typedef struct complex
{
    double real;
    double img;
} Complex;


Complex make_complex(double real, double img)
{
    Complex temp;

    temp.real = real;
    temp.img = img;

    return temp;
}


Complex multiply_complex(Complex a, Complex b)
{
    return make_complex(a.real * b.real - a.img * b.img,
                        a.real * b.img +  a.img * b.real);
}


int main(){

    Complex a, b, c;

    printf("Enter real and imaginary parts of first number\n");
    scanf("%lf%lf", &(a.real), &(a.img));
    printf("Enter real and imaginary parts of second number\n");
    scanf("%lf%lf", &(b.real), &(b.img));

    c = multiply_complex(a, b);

    printf("first number * second number = %g + %gi\n", c.real, c.img);
}
